Skip to main content
GET
/
api
/
v1
/
dashboard
/
metrics
Get Aggregated Dashboard Metrics
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/dashboard/metrics \
  --header 'Authorization: Bearer <token>'
[
  {
    "group": {},
    "visibility_score": {
      "value": 123,
      "evolution": 123
    },
    "share_of_mentions": {
      "value": 123,
      "evolution": 123
    },
    "share_of_citations": {
      "value": 123,
      "evolution": 123
    },
    "sentiment_score": {
      "value": 123,
      "evolution": 123
    },
    "average_position": {
      "value": 123,
      "evolution": 123
    },
    "sentiment_positive": {
      "value": 123,
      "evolution": 123
    },
    "sentiment_negative": {
      "value": 123,
      "evolution": 123
    },
    "sentiment_neutral": {
      "value": 123,
      "evolution": 123
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date_start
string
required

Start date in YYYY-MM-DD format

date_end
string
required

End date in YYYY-MM-DD format

dimensions
enum<string>[] | null

Dimensions to group by

Available options:
brand,
country,
category,
source
sources
string[] | null

Filter by sources

countries
string[] | null

Filter by countries

brands
string[] | null

Filter by brands

categories
string[] | null

Filter by categories

client_id
string
required

Client id

Response

Successful Response

group
Group · object
required
visibility_score
MetricValue · object
required
share_of_mentions
MetricValue · object
required
share_of_citations
MetricValue · object
required
sentiment_score
MetricValue · object
required
average_position
MetricValue · object
required
sentiment_positive
MetricValue · object
required
sentiment_negative
MetricValue · object
required
sentiment_neutral
MetricValue · object
required